VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Attributes | List of all members
Parser Class Reference

## Public Member Functions
| Parser ()
virtual | ~Parser () noexcept
bool | parse (IContentProvider *provider, IHandler *handler)
bool | stop ()
IHandler * | getHandler () const

## Protected Attributes
std::unique_ptr< Impl > | pImpl

## Constructor & Destructor Documentation

Parser | ( |  | ) |

virtual ~Parser | ( |  | ) |
| virtual noexcept

## Member Function Documentation

IHandler* getHandler | ( |  | ) | const

bool parse | ( | IContentProvider * | provider,
|  | IHandler * | handler
| ) |  |

bool stop | ( |  | ) |

## Member Data Documentation

std::unique_ptr<Impl> pImpl
| protected

The documentation for this class was generated from the following file:

- xmlparser.h